summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Mylchreest <johnm@gentoo.org>2006-05-05 13:14:29 +0000
committerJohn Mylchreest <johnm@gentoo.org>2006-05-05 13:14:29 +0000
commit154b4b2384638aefb81b877025e1d577256a46e0 (patch)
treeebe3ec35aefa5719473885b2958d138765eab4d8 /eclass/kernel-2.eclass
parentFix some patches that were dropped in the move to 3.3.6. This should make a ... (diff)
downloadgentoo-2-154b4b2384638aefb81b877025e1d577256a46e0.tar.gz
gentoo-2-154b4b2384638aefb81b877025e1d577256a46e0.tar.bz2
gentoo-2-154b4b2384638aefb81b877025e1d577256a46e0.zip
add support for *old* kernels. fixes bug #131559
Diffstat (limited to 'eclass/kernel-2.eclass')
-rw-r--r--eclass/kernel-2.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 84903317af6b..3ea314890ce3 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.174 2006/05/04 15:37:35 johnm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.175 2006/05/05 13:14:29 johnm Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -365,7 +365,10 @@ unpack_2_6() {
universal_unpack() {
cd ${WORKDIR}
unpack linux-${OKV}.tar.bz2
- if [[ "${OKV}" != "${KV_FULL}" ]]; then
+ if [[ -d "linux" ]]; then
+ mv linux linux-${KV_FULL} \
+ || die "Unable to move source tree to ${KV_FULL}."
+ elif [[ "${OKV}" != "${KV_FULL}" ]]; then
mv linux-${OKV} linux-${KV_FULL} \
|| die "Unable to move source tree to ${KV_FULL}."
fi